#ifndef DM_CQUEST_H
#define DV_CQUEST_H

/*
 * Projekt: C-quest
 * Autor: David Martinek (c) 2004
 * email: martinek@fit.vutbr.cz
 * Licence: GPL v.2
 * Popis: Hlavikov soubor s deklarac konstant a funkc pro chybov vpisy
 *        a pro vpis npovdy.
 *
 * $Id: cqhelp.h,v 1.6 2004/07/06 21:49:41 martinek Exp $
 * 
 * Copyright (C)2004 David Martinek
 *
 * Tento program je svobodn software; mete jej it a modifikovat podle
 * ustanoven GNU General Public License, vydvan Free Software
 * Foundation; a to bu verze 2 tto licence anebo (podle vaeho uven)
 * kterkoli pozdj verze.
 *
 * Tento program je roziovn v nadji, e bude uiten, avak BEZ
 * JAKKOLI ZRUKY; neposkytuj se ani odvozen zruky PRODEJNOSTI anebo
 * VHODNOSTI PRO URIT EL. Dal podrobnosti hledejte ve GNU General Public 
 * License.
 *
 * Kopii GNU General Public License jste ml obdret spolu s tmto
 * programem; pokud se tak nestalo, napite o ni Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

//
// V hlavikovm souboru mohou bt pouze deklarace konstant, jejich definice
// (inicializace, pidlen pamti) je nutn udlat v njakm zdrojovm souboru.
// V tomto ppad je to soubor cqhelp.c.
//
// Pokud by definice konstant byla zde, zpsobovalo by to problmy pi 
// odlenm pekladu soubor. Sten symbol by byl alokovan ve vce objektovch
// souborech a linker by ohlsil chybu vcensobn definice stejnho symbolu.
//
// V jazyce C se zde nemus pst extern const, protoe nedefinovan konstanta
// se povauje automaticky za extern promnnou. V jazyce C++ tomu tak nen,
// take je vhodn sem extern pst.
// 

/** Obrazovka s verz programu. */
extern const char * VERSION;  

/** Obrazovka s hlavikou programu. */
extern const char * HEAD;

/** Popis spoutn a parametr programu. */
extern const char * PARAMS;

/** Nerozpoznateln parametr. */
extern const char * BAD_PARAM;

/** Chyba oteven souboru. */
extern const char * BAD_FILE;

/** Chybn formt souboru. */
extern const char * BAD_FORMAT;

/** Chyb voln pam. */
extern const char * NO_MEMORY;

/**
 * Vytiskne obrazovku s npovdou.
 * @param msg Text npovdy.
 */
void printHelp(const char * msg, ...);

/**
 * Vytiskne obrazovku s npovdou na chybov vstup.
 * @param msg Text npovdy.
 */
void printError(const char * msg, ...);

#endif

